2 Replies Latest reply on Jan 19, 2012 7:49 AM by Jochen Lauer

    Error starting apache-servicemix-4.4.1-fuse-01-13

    Jochen Lauer Apprentice

      Hello,

       

      I just downloaded apache-servicemix-4.4.1-fuse-01-13 and tried to start it on my

      new installed Win7 machine with jdk 1.7 but I am getting errors during startup

       

      ERROR: Error parsing system bundle export statement: org.osgi.framework; version =1.5.0, org.osgi.framework.launch; version=1.0.0, org.osgi.framework.hooks.servi ce; version=1.0.0, org.osgi.service.packageadmin; version=1.2.0, org.osgi.servic e.startlevel; version=1.1.0, org.osgi.service.url; version=1.0.0, org.osgi.util.
      tracker; version=1.4.0, org.apache.karaf.jaas.boot; version=2.2.2.fuse-02-13, or g.apache.karaf.version; version=2.2.2.fuse-02-13, ,org.apache.karaf.branding, co m.sun.org.apache.xalan.internal.xsltc.trax,
      com.sun.org.apache.xerces.internal.d
      om, com.sun.org.apache.xerces.internal.jaxp,
      com.sun.org.apache.xerces.internal.
      xni, com.sun.jndi.ldap, org.apache.xalan.extensions; version="2.7.1", org.apache .xalan.xsltc.compiler; version="2.7.1", org.apache.xalan.xsltc.cmdline.getopt; v ersion="2.7.1", org.apache.xalan.xsltc.util; version="2.7.1", org.apache.xalan.t ransformer; version="2.7.1", org.apache.xalan.xsltc.trax; version="2.7.1", org.a pache.xalan.processor; version="2.7.1", org.apache.xalan.lib; version="2.7.1", o rg.apache.xalan.trace; version="2.7.1", org.apache.xalan.xsltc.compiler.util; ve rsion="2.7.1", org.apache.xalan.templates; version="2.7.1", org.apache.xalan.xsl tc; version="2.7.1", org.apache.xalan.xsltc.runtime; version="2.7.1", org.apache .xalan; version="2.7.1", org.apache.xalan.xslt; version="2.7.1", org.apache.xala n.lib.sql; version="2.7.1", org.apache.xalan.xsltc.runtime.output;
      version="2.7.
      1", org.apache.xalan.xsltc.dom; version="2.7.1", org.apache.xalan.client; versio n="2.7.1", org.apache.xalan.xsltc.cmdline; version="2.7.1", org.apache.xalan.ser ialize; version="2.7.1", org.apache.xalan.res; version="2.7.1", org.apache.xml.d tm.ref; version="2.7.1", org.apache.xml.dtm; version="2.7.1", org.apache.xml.dtm .ref.sax2dtm; version="2.7.1", org.apache.xml.dtm.ref.dom2dtm; version="2.7.1", org.apache.xml.res; version="2.7.1", org.apache.xml.serializer.dom3; version="2.
      7.1", org.apache.xml.serializer; version="2.7.1", org.apache.xml.serializer.util s; version="2.7.1", org.apache.xml.utils.res; version="2.7.1", org.apache.xml.ut ils; version="2.7.1", org.apache.xpath.functions; version="2.7.1", org.apache.xp ath.jaxp; version="2.7.1", org.apache.xpath.patterns; version="2.7.1", org.apach e.xpath.objects; version="2.7.1", org.apache.xpath.res; version="2.7.1", org.apa che.xpath; version="2.7.1", org.apache.xpath.axes; version="2.7.1", org.apache.x path.compiler; version="2.7.1", org.apache.xpath.operations; version="2.7.1", or g.apache.xpath.domapi; version="2.7.1", org.apache.html.dom; version="2.11.0", o rg.apache.wml.dom; version="2.11.0", org.apache.wml; version="2.11.0", org.apach e.xerces.parsers; version="2.11.0", org.apache.xerces.impl.dtd.models;
      version="
      2.11.0", org.apache.xerces.xni.parser; version="2.11.0", org.apache.xerces.impl.
      dv.xs; version="2.11.0", org.apache.xerces.impl.xs.traversers;
      version="2.11.0",
       org.apache.xerces.util; version="2.11.0", org.apache.xerces.impl.dtd; version="
      2.11.0", org.apache.xerces.jaxp.validation; version="2.11.0", org.apache.xerces.
      dom3.as; version="2.11.0", org.apache.xerces.impl.dv; version="2.11.0", org.apac he.xerces.jaxp; version="2.11.0", org.apache.xerces.jaxp.datatype;
      version="2.11
      .0", org.apache.xerces.impl.xpath.regex; version="2.11.0", org.apache.xerces.xni ; version="2.11.0", org.apache.xerces.impl.msg; version="2.11.0", org.apache.xer ces.impl.dv.util; version="2.11.0", org.apache.xerces.impl.xs.util;
      version="2.1
      1.0", org.apache.xerces.dom; version="2.11.0", org.apache.xerces.dom.events; ver sion="2.11.0", org.apache.xerces.impl.xs.opti; version="2.11.0", org.apache.xerc es.impl; version="2.11.0", org.apache.xerces.xs; version="2.11.0", org.apache.xe rces.impl.io; version="2.11.0", org.apache.xerces.xpointer; version="2.11.0", or g.apache.xerces.impl.dv.dtd; version="2.11.0", org.apache.xerces.xinclude; versi on="2.11.0", org.apache.xerces.impl.xpath; version="2.11.0", org.apache.xerces.x s.datatypes; version="2.11.0", org.apache.xerces.impl.xs.identity;
      version="2.11
      .0", org.apache.xerces.impl.xs.models; version="2.11.0", org.apache.xerces.xni.g rammars; version="2.11.0", org.apache.xerces.impl.xs; version="2.11.0", org.apac he.xerces.impl.validation; version="2.11.0", org.apache.xml.serialize; version="
      2.11.0", (java.lang.IllegalArgumentException: No paths specified in header: )
      java.lang.IllegalArgumentException: No paths specified in header:
              at
      org.apache.felix.framework.util.manifestparser.ManifestParser.parseSt
      andardHeaderClause(ManifestParser.java:1432)
              at
      org.apache.felix.framework.util.manifestparser.ManifestParser.parseSt
      andardHeader(ManifestParser.java:1400)
              at
      org.apache.felix.framework.util.manifestparser.ManifestParser.<init>(
      ManifestParser.java:162)
              at
      org.apache.felix.framework.ExtensionManager.<init>(ExtensionManager.j
      ava:193)
              at org.apache.felix.framework.Felix.<init>(Felix.java:373)
              at
      org.apache.felix.framework.FrameworkFactory.newFramework(FrameworkFac
      tory.java:28)
              at org.apache.karaf.main.Main.launch(Main.java:265)
              at org.apache.karaf.main.Main.main(Main.java:426)
      ERROR: Bundle org.ops4j.pax.url.wrap [1] Error starting mvn:org.ops4j.pax.url/pa
      x-url-wrap/1.2.6 (org.osgi.framework.BundleException: Unresolved constraint in b undle org.ops4j.pax.url.wrap [1]: Unable to resolve 1.0: missing requirement [1.
      0] package; (package=javax.net.ssl))
      org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pa x.url.wrap [1]: Unable to resolve 1.0: missing requirement [1.0] package; (packa
      ge=javax.net.ssl)
              at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3455)
              at org.apache.felix.framework.Felix.startBundle(Felix.java:1728)
              at
      org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1157)
      
              at
      org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264
      )
              at java.lang.Thread.run(Thread.java:722)
      ERROR: Bundle org.ops4j.pax.url.mvn [2] Error starting mvn:org.ops4j.pax.url/pax
      -url-mvn/1.2.6 (org.osgi.framework.BundleException: Unresolved constraint in bun dle org.ops4j.pax.url.mvn [2]: Unable to resolve 2.0: missing requirement [2.0] package; (package=javax.net.ssl))
      org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pa x.url.mvn [2]: Unable to resolve 2.0: missing requirement [2.0] package; (packag
      e=javax.net.ssl)
              at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3455)
              at org.apache.felix.framework.Felix.startBundle(Felix.java:1728)
              at
      org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1157)
      
              at
      org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264
      )
              at java.lang.Thread.run(Thread.java:722)
      ERROR: Bundle org.ops4j.pax.logging.pax-logging-service [3] Error starting mvn:o
      rg.ops4j.pax.logging/pax-logging-service/1.6.2
      (org.osgi.framework.BundleExcepti
      on: Unresolved constraint in bundle
      org.ops4j.pax.logging.pax-logging-service [3
      ]: Unable to resolve 3.0: missing requirement [3.0] package; (package=javax.xml.
      parsers))
      org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pa x.logging.pax-logging-service [3]: Unable to resolve 3.0: missing requirement [3 .0] package; (package=javax.xml.parsers)
              at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3455)
              at org.apache.felix.framework.Felix.startBundle(Felix.java:1728)
              at
      org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1157)
      
              at
      
      

       

      Anything wrong with the package or my setup ?

       

      Thanks labo